﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System.IO;
using System.Diagnostics;

namespace esl
{
    class DownloadDocuments
    {
        public static void main()
        {

            EslClient eslClient = new EslClient(Properties.Settings.Default.key, Properties.Settings.Default.url);

            PackageId packageId = new PackageId("SCcCLU25FgqAdDcJ8Yzombm_v40=");
            string documentId = "13ab5ae288f18709";

            // Retrieve the bytes of the document (with fields)
            byte[] pdfDocumentBytes = eslClient.DownloadDocument(packageId, documentId);
            File.WriteAllBytes("C:/Users/hhaidary/Desktop/Example/signed_document.pdf", pdfDocumentBytes);

            // Retrieve the bytes of the original document (without fields)
            byte[] originalPdfDocumentBytes = eslClient.PackageService.DownloadOriginalDocument(packageId, documentId);
            File.WriteAllBytes("C:/Users/hhaidary/Desktop/Example/original_document.pdf", originalPdfDocumentBytes);
    
            // Retrieve the bytes of the zipped file containing all the documents in the package
            byte[] zippedDocumentsBytes = eslClient.PackageService.DownloadZippedDocuments(packageId);
            File.WriteAllBytes("C:/Users/hhaidary/Desktop/Example/signed_documents.zip", zippedDocumentsBytes);

            //Retrieve the bytes of the evidence summary
            byte[] evidenceBytes = eslClient.PackageService.DownloadEvidenceSummary(packageId);
            File.WriteAllBytes("C:/Users/hhaidary/Desktop/Example/evidence_summary.pdf", evidenceBytes);
        }
    }
}
